import "@openremote/or-rules";
import { OrRules, RulesConfig } from "@openremote/or-rules";
import { Store } from "@reduxjs/toolkit";
import { Page, PageProvider } from "@openremote/or-app";
import { AppStateKeyed } from "@openremote/or-app";
export interface PageRulesConfig {
    rules: RulesConfig;
}
export declare function pageRulesProvider(store: Store<AppStateKeyed>, config?: PageRulesConfig): PageProvider<AppStateKeyed>;
export declare const PAGE_RULES_CONFIG_DEFAULT: PageRulesConfig;
export declare class PageRules extends Page<AppStateKeyed> {
    static get styles(): import("lit").CSSResult;
    config?: PageRulesConfig;
    protected _orRules: OrRules;
    protected _realmSelector: (state: AppStateKeyed) => string;
    protected getRealmState: ((state: AppStateKeyed) => Promise<void>) & import("reselect").OutputSelectorFields<(args_0: string) => Promise<void>, {
        clearCache: () => void;
    }> & {
        clearCache: () => void;
    };
    get name(): string;
    constructor(store: Store<AppStateKeyed>);
    protected render(): import("lit-html").TemplateResult<1>;
    stateChanged(state: AppStateKeyed): void;
}
